%define		_class		HTML
%define		_subclass	Table
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - makes the design of HTML tables easy, flexible, reusable and efficient
Summary(pl.UTF-8):	%{_pearname} - czyni tworzenie tabel HTML łatwym, elastycznym, efektywnym
Name:		php-pear-%{_pearname}
Version:	1.8.4
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	26a416f2d51c8b5ab4083f731f66dd5a
URL:		http://pear.php.net/package/HTML_Table/
BuildRequires:	php-pear-PEAR >= 1:1.5.0
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear >= 4:1.0-8.1
Requires:	php-pear-HTML_Common >= 1.2.3
Obsoletes:	php-pear-HTML_Table-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The PEAR::HTML_Table package provides methods for easy and efficient
design of HTML tables.
- Lots of customization options.
- Tables can be modified at any time.
- The logic is the same as standard HTML editors.
- Handles col and rowspans.
- PHP code is shorter, easier to read and to maintain.
- Tables options can be reused.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Klasa PEAR::HTML_Table dostarcza metody do łatwego i efektywnego
tworzenia tabel HTML.
- wiele opcji dostosowawczych.
- tabele mogą być modyfikowane w każdym momencie.
- logika jest taka sama jak w standardowych edytorach HTML-a.
- obsługa atrybutów col i rowspans.
- kod PHP jest krótszy, łatwiejszy do czytania i konserwacji.
- opcje tabel mogą być ponownie używane.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}/*.php
%changelog
* Mon May 18 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-HTML_Table.git;a=log;h=master

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 88dbfd3
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Oct 24 2018 Adam Gołębiowski <adamg@pld-linux.org> bc7401b
- updated to 1.8.4

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> a57d0dc
- release 3

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> d362a9c
- dropped -tests subpackage

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 19ae24c
- updated deps with pearize.sh
- release 2

* Fri Aug 20 2010 Elan Ruusamäe <glen@pld-linux.org> a07a8db
- updated to: 1.8.3

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 8d450f6
- rel 2

* Sun Dec 23 2007 Adam Gołębiowski <adamg@pld-linux.org> b65b397
- updated to 1.8.2

* Thu Aug 23 2007 Adam Gołębiowski <adamg@pld-linux.org> 3d4a341
- updated to 1.8.1

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 7794024
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 28ffd22
- converted to UTF-8

* Sun Nov 26 2006 Elan Ruusamäe <glen@pld-linux.org> 9915167
- 1.7.5

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> 1a74919
- 1.7.4

* Sun Jul 09 2006 Adam Gołębiowski <adamg@pld-linux.org> 14b4071
- updated to 1.7.2

* Mon Jun 26 2006 Adam Gołębiowski <adamg@pld-linux.org> abb194c
- updated to 1.7.1

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> aaa6062
- BR rpm-build macros >= 1.300 for %pear_ macros

* Sun Apr 30 2006 Adam Gołębiowski <adamg@pld-linux.org> fda9a3f
- updated to 1.7.0

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> a6edf38
- AutoProv: no for -tests

* Thu Mar 30 2006 Elan Ruusamäe <glen@pld-linux.org> 5c98e6b
- rel 2 (rebuild with less deps)

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> e1f57df
- BR php-pear-PEAR

